#include <iostream>
#include <bitset>

using namespace std;

int main() {
    
    int n, visina; cin >> n >> visina;
    for (int i = 1; i < n+1; i++) {
        int a; cin >> a;
        if (a <= visina) {
            cout << i;
            return 0;
        }
    }
        
    cout << -1;

}